package com.css.simulation.resource.project.mapper;


import api.common.pojo.po.project.SchedulerProjectPO;
import org.apache.ibatis.annotations.*;
import org.apache.ibatis.type.JdbcType;

import java.util.List;

@Mapper
public interface ManualProjectMapper {


    @Results(id = "project", value = {
            @Result(column = "id", property = "id", jdbcType = JdbcType.VARCHAR),
            @Result(column = "scene", property = "scenePackageId", jdbcType = JdbcType.VARCHAR),
            @Result(column = "create_user_id", property = "createUserId", jdbcType = JdbcType.VARCHAR),
            @Result(column = "parallelism", property = "parallelism", jdbcType = JdbcType.VARCHAR),
            @Result(column = "project_type", property = "projectType", jdbcType = JdbcType.VARCHAR)
    })
    @Select("select id, scene, create_user_id\n" +
            "from simulation_manual_project\n" +
            "where id = #{projectId}")
    SchedulerProjectPO selectById(@Param("projectId") String projectId);

    @ResultMap("project")
    @Select("select id, scene, create_user_id, parallelism, '1' project_type\n" +
            "from simulation_manual_project\n" +
            "where is_deleted = '0'\n" +
            "  and now_run_state = #{nowRunState}")
    List<SchedulerProjectPO> selectByNowRunState(@Param("nowRunState") String nowRunState);


}
